summaryrefslogtreecommitdiff
path: root/autoconf/AutoRegen.sh
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2004-12-22 05:56:41 +0000
committerReid Spencer <rspencer@reidspencer.com>2004-12-22 05:56:41 +0000
commitd00b82eacd344df260e5356c3fa2f09db11adb72 (patch)
tree50c80e92a772977f9e4e6c4fd2d0d7a59cc0b4eb /autoconf/AutoRegen.sh
parent5512655574eba7cfb4ff11be2bc39076c3d303d7 (diff)
downloadllvm-d00b82eacd344df260e5356c3fa2f09db11adb72.tar.gz
llvm-d00b82eacd344df260e5356c3fa2f09db11adb72.tar.bz2
llvm-d00b82eacd344df260e5356c3fa2f09db11adb72.tar.xz
Get rid of old automake stuff
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@19092 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'autoconf/AutoRegen.sh')
-rwxr-xr-xautoconf/AutoRegen.sh13
1 files changed, 2 insertions, 11 deletions
diff --git a/autoconf/AutoRegen.sh b/autoconf/AutoRegen.sh
index 55f56f32c9..ce0e2699e4 100755
--- a/autoconf/AutoRegen.sh
+++ b/autoconf/AutoRegen.sh
@@ -3,17 +3,8 @@ die () {
echo "$@" 1>&2
exit 1
}
-if test "$1" = --with-automake ; then
- outfile=configure_am
- configfile=configure.am
- with_automake=1
-elif test -z "$1" ; then
- outfile=configure
- configfile=configure.ac
- with_automake=0
-else
- die "Invalid option: $1"
-fi
+outfile=configure
+configfile=configure.ac
test -d autoconf && test -f autoconf/$configfile && cd autoconf
test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
autoconf --version | egrep '2\.59' > /dev/null